CMPIValue(3)

NAME
CMPIValue - CMPIValue class implementation

SYNOPSIS

  Public Attributes

CMPIUint64 uint64
CMPIUint32 uint32
CMPIUint16 uint16
CMPIUint8 uint8
CMPISint64 sint64
CMPISint32 sint32
CMPISint16 sint16
CMPISint8 sint8
CMPIReal64 real64
CMPIReal32 real32
CMPIBoolean boolean
CMPIChar16 char16
CMPIInstance * inst
CMPIObjectPath * ref
CMPIArgs * args
CMPIEnumeration * Enum
CMPIArray * array
CMPIString * string
char * chars
CMPIDateTime * dateTime
CMPIValuePtr dataPtr
CMPISint8 Byte
CMPISint16 Short
CMPISint32 Int
CMPISint64 Long
CMPIReal32 Float
CMPIReal64 Double

METHODS

void native_release_CMPIValue (CMPIType type, CMPIValue *val)
CMPIValue native_clone_CMPIValue (CMPIType type, CMPIValue *val, CMPIStatus *rc)
char * pathToChars (CMPIObjectPath *cop, CMPIStatus *rc, char *str, int uri)
char * value2CharsUri (CMPIType type, CMPIValue *value, int uri)
char * value2Chars (CMPIType type, CMPIValue *value)
char * keytype2Chars (CMPIType type)
CMPIValue * getKeyValueTypePtr (char *type, char *value, XtokValueReference *ref, CMPIValue *val, CMPIType *typ)
CMPIType guessType (char *val)
CMPIValue str2CMPIValue (CMPIType type, char *val, XtokValueReference *ref)

DESCRIPTION

CMPIValue class implementation, representing the Encapsulated value objects.

This is the native CMPIValue implementation as used for remote providers. It reflects the well-defined interface of a regular CMPIValue, however, it works independently from the management broker.

It is part of a native broker implementation that simulates CMPI data types rather than interacting with the entities in a full-grown CIMOM.

SEE ALSO
Common Manageability Programming Interface (CMPI) - OpenGroup